Index: trunk/SophyaLib/SkyMap/Makefile
===================================================================
--- trunk/SophyaLib/SkyMap/Makefile	(revision 2743)
+++ trunk/SophyaLib/SkyMap/Makefile	(revision 2751)
@@ -11,205 +11,224 @@
  
 $(SOPHYAOBJP)fiolocalmap.o: fiolocalmap.cc \
-  $(SOPHYAINCP)sopnamsp.h fiolocalmap.h \
-  sphericalmap.h $(SOPHYAINCP)smathconst.h \
-  $(SOPHYAINCP)machdefs.h pixelmap.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h spherepos.h \
-  unitvector.h vector3d.h longlat.h utilgeom.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h localmap.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  fiolocalmap.h sphericalmap.h \
+  $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)machdefs.h \
+  pixelmap.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h spherepos.h \
+  unitvector.h vector3d.h longlat.h utilgeom.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  localmap.h $(SOPHYAINCP)fioarr.h \
+  $(SOPHYAINCP)fiondblock.h \
+  $(SOPHYAINCP)datatype.h
+	$(CXXCOMPILELIB) -o $@ $<
+ 
+$(SOPHYAOBJP)fiosphereecp.o: fiosphereecp.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  fiosphereecp.h sphereecp.h sphericalmap.h \
+  $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)machdefs.h \
+  pixelmap.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h spherepos.h \
+  unitvector.h vector3d.h longlat.h utilgeom.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
   $(SOPHYAINCP)fioarr.h \
-  $(SOPHYAINCP)fiondblock.h \
-  $(SOPHYAINCP)datatype.h
-	$(CXXCOMPILE) -o $@ $<
- 
-$(SOPHYAOBJP)fiosphereecp.o: fiosphereecp.cc \
-  $(SOPHYAINCP)sopnamsp.h fiosphereecp.h \
+  $(SOPHYAINCP)datatype.h
+	$(CXXCOMPILELIB) -o $@ $<
+ 
+$(SOPHYAOBJP)fiospherehealpix.o: fiospherehealpix.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  fiospherehealpix.h sphericalmap.h \
+  $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)machdefs.h \
+  pixelmap.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h spherepos.h \
+  unitvector.h vector3d.h longlat.h utilgeom.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  spherehealpix.h HEALPixUtils.h \
+  $(SOPHYAINCP)fiondblock.h \
+  $(SOPHYAINCP)datatype.h
+	$(CXXCOMPILELIB) -o $@ $<
+ 
+$(SOPHYAOBJP)fiospherethetaphi.o: fiospherethetaphi.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  fiospherethetaphi.h sphericalmap.h \
+  $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)machdefs.h \
+  pixelmap.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h spherepos.h \
+  unitvector.h vector3d.h longlat.h utilgeom.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  spherethetaphi.h \
+  $(SOPHYAINCP)fiondblock.h \
+  $(SOPHYAINCP)datatype.h
+	$(CXXCOMPILELIB) -o $@ $<
+ 
+$(SOPHYAOBJP)HEALPixUtils.o: HEALPixUtils.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  HEALPixUtils.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)smathconst.h
+	$(CXXCOMPILELIB) -o $@ $<
+ 
+$(SOPHYAOBJP)localmap.o: localmap.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  localmap.h pixelmap.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h spherepos.h \
+  unitvector.h vector3d.h longlat.h utilgeom.h sphericalmap.h \
+  $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)fiondblock.h \
+  $(SOPHYAINCP)timing.h
+	$(CXXCOMPILELIB) -o $@ $<
+ 
+$(SOPHYAOBJP)longlat.o: longlat.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  longlat.h \
+  $(SOPHYAINCP)machdefs.h \
+  utilgeom.h
+	$(CXXCOMPILELIB) -o $@ $<
+ 
+$(SOPHYAOBJP)mapoperation.o: mapoperation.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  mapoperation.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)anydataobj.h \
+  pixelmap.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)mutyv.h spherepos.h \
+  unitvector.h vector3d.h longlat.h utilgeom.h
+	$(CXXCOMPILELIB) -o $@ $<
+ 
+$(SOPHYAOBJP)skymapinit.o: skymapinit.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  skymapinit.h \
+  $(SOPHYAINCP)sophyainit.h \
+  spherethetaphi.h sphericalmap.h \
+  $(SOPHYAINCP)smathconst.h \
+  pixelmap.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h spherepos.h \
+  unitvector.h vector3d.h longlat.h utilgeom.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  fiospherehealpix.h spherehealpix.h HEALPixUtils.h fiospherethetaphi.h \
+  fiolocalmap.h localmap.h fiosphereecp.h sphereecp.h
+	$(CXXCOMPILELIB) -o $@ $<
+ 
+$(SOPHYAOBJP)sphereecp.o: sphereecp.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   sphereecp.h sphericalmap.h \
   $(SOPHYAINCP)smathconst.h \
-  $(SOPHYAINCP)machdefs.h pixelmap.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h spherepos.h \
-  unitvector.h vector3d.h longlat.h utilgeom.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)fioarr.h \
-  $(SOPHYAINCP)datatype.h
-	$(CXXCOMPILE) -o $@ $<
- 
-$(SOPHYAOBJP)fiospherehealpix.o: fiospherehealpix.cc \
-  $(SOPHYAINCP)sopnamsp.h fiospherehealpix.h \
-  sphericalmap.h $(SOPHYAINCP)smathconst.h \
-  $(SOPHYAINCP)machdefs.h pixelmap.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h spherepos.h \
-  unitvector.h vector3d.h longlat.h utilgeom.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h spherehealpix.h \
-  HEALPixUtils.h $(SOPHYAINCP)fiondblock.h \
-  $(SOPHYAINCP)datatype.h
-	$(CXXCOMPILE) -o $@ $<
- 
-$(SOPHYAOBJP)fiospherethetaphi.o: fiospherethetaphi.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  fiospherethetaphi.h sphericalmap.h \
-  $(SOPHYAINCP)smathconst.h \
-  $(SOPHYAINCP)machdefs.h pixelmap.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h spherepos.h \
-  unitvector.h vector3d.h longlat.h utilgeom.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h spherethetaphi.h \
-  $(SOPHYAINCP)fiondblock.h \
-  $(SOPHYAINCP)datatype.h
-	$(CXXCOMPILE) -o $@ $<
- 
-$(SOPHYAOBJP)HEALPixUtils.o: HEALPixUtils.cc \
-  $(SOPHYAINCP)sopnamsp.h HEALPixUtils.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)smathconst.h
-	$(CXXCOMPILE) -o $@ $<
- 
-$(SOPHYAOBJP)localmap.o: localmap.cc \
-  $(SOPHYAINCP)sopnamsp.h localmap.h \
-  pixelmap.h $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h spherepos.h \
-  unitvector.h vector3d.h longlat.h utilgeom.h sphericalmap.h \
-  $(SOPHYAINCP)smathconst.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)fiondblock.h \
-  $(SOPHYAINCP)timing.h
-	$(CXXCOMPILE) -o $@ $<
- 
-$(SOPHYAOBJP)longlat.o: longlat.cc \
-  $(SOPHYAINCP)sopnamsp.h longlat.h \
-  $(SOPHYAINCP)machdefs.h utilgeom.h
-	$(CXXCOMPILE) -o $@ $<
- 
-$(SOPHYAOBJP)mapoperation.o: mapoperation.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h mapoperation.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)anydataobj.h pixelmap.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)mutyv.h spherepos.h \
-  unitvector.h vector3d.h longlat.h utilgeom.h
-	$(CXXCOMPILE) -o $@ $<
- 
-$(SOPHYAOBJP)skymapinit.o: skymapinit.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h skymapinit.h \
-  $(SOPHYAINCP)sophyainit.h spherethetaphi.h \
-  sphericalmap.h $(SOPHYAINCP)smathconst.h \
-  pixelmap.h $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h spherepos.h \
-  unitvector.h vector3d.h longlat.h utilgeom.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h fiospherehealpix.h \
-  spherehealpix.h HEALPixUtils.h fiospherethetaphi.h fiolocalmap.h \
-  localmap.h fiosphereecp.h sphereecp.h
-	$(CXXCOMPILE) -o $@ $<
- 
-$(SOPHYAOBJP)sphereecp.o: sphereecp.cc \
-  $(SOPHYAINCP)sopnamsp.h sphereecp.h \
-  sphericalmap.h $(SOPHYAINCP)smathconst.h \
-  $(SOPHYAINCP)machdefs.h pixelmap.h \
+  $(SOPHYAINCP)machdefs.h \
+  pixelmap.h \
   $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)pexceptions.h \
@@ -229,5 +248,5 @@
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)spherehealpix.o: spherehealpix.cc \
@@ -242,6 +261,7 @@
   $(SOPHYAINCP)ppfnametag.h \
   $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)anydataobj.h spherehealpix.h \
-  sphericalmap.h $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)anydataobj.h \
+  spherehealpix.h sphericalmap.h \
+  $(SOPHYAINCP)smathconst.h \
   pixelmap.h $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)objfio.h \
@@ -252,26 +272,30 @@
   $(SOPHYAINCP)tarray.h \
   $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)utilarr.h HEALPixUtils.h \
+  $(SOPHYAINCP)utilarr.h \
+  HEALPixUtils.h \
   $(SOPHYAINCP)strutil.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)spherepos.o: spherepos.cc \
-  $(SOPHYAINCP)sopnamsp.h spherepos.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h unitvector.h \
-  vector3d.h longlat.h utilgeom.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)datatype.h
-	$(CXXCOMPILE) -o $@ $<
+  $(SOPHYAINCP)sopnamsp.h \
+  spherepos.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  unitvector.h vector3d.h longlat.h utilgeom.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)datatype.h
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)spherethetaphi.o: spherethetaphi.cc \
-  $(SOPHYAINCP)sopnamsp.h spherethetaphi.h \
-  sphericalmap.h $(SOPHYAINCP)smathconst.h \
-  $(SOPHYAINCP)machdefs.h pixelmap.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  spherethetaphi.h sphericalmap.h \
+  $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)machdefs.h \
+  pixelmap.h \
   $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)pexceptions.h \
@@ -292,22 +316,24 @@
   $(SOPHYAINCP)utilarr.h \
   $(SOPHYAINCP)fiondblock.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)unitvector.o: unitvector.cc \
-  $(SOPHYAINCP)sopnamsp.h unitvector.h \
-  vector3d.h longlat.h \
-  $(SOPHYAINCP)machdefs.h utilgeom.h
-	$(CXXCOMPILE) -o $@ $<
+  $(SOPHYAINCP)sopnamsp.h \
+  unitvector.h vector3d.h longlat.h \
+  $(SOPHYAINCP)machdefs.h \
+  utilgeom.h
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)utilgeom.o: utilgeom.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h utilgeom.h
-	$(CXXCOMPILE) -o $@ $<
+  $(SOPHYAINCP)machdefs.h \
+  utilgeom.h
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)vector3d.o: vector3d.cc \
   $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h vector3d.h \
-  longlat.h utilgeom.h
-	$(CXXCOMPILE) -o $@ $<
- 
+  $(SOPHYAINCP)pexceptions.h \
+  vector3d.h longlat.h utilgeom.h
+	$(CXXCOMPILELIB) -o $@ $<
+ 
Index: trunk/SophyaLib/SkyMap/smakefile
===================================================================
--- trunk/SophyaLib/SkyMap/smakefile	(revision 2743)
+++ trunk/SophyaLib/SkyMap/smakefile	(revision 2751)
@@ -11,205 +11,224 @@
  
 $(SOPHYAOBJP)fiolocalmap.o: fiolocalmap.cc \
-  $(SOPHYAINCP)sopnamsp.h fiolocalmap.h \
-  sphericalmap.h $(SOPHYAINCP)smathconst.h \
-  $(SOPHYAINCP)machdefs.h pixelmap.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h spherepos.h \
-  unitvector.h vector3d.h longlat.h utilgeom.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h localmap.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  fiolocalmap.h sphericalmap.h \
+  $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)machdefs.h \
+  pixelmap.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h spherepos.h \
+  unitvector.h vector3d.h longlat.h utilgeom.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  localmap.h $(SOPHYAINCP)fioarr.h \
+  $(SOPHYAINCP)fiondblock.h \
+  $(SOPHYAINCP)datatype.h
+	$(CXXCOMPILELIB) -o $@ $<
+ 
+$(SOPHYAOBJP)fiosphereecp.o: fiosphereecp.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  fiosphereecp.h sphereecp.h sphericalmap.h \
+  $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)machdefs.h \
+  pixelmap.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h spherepos.h \
+  unitvector.h vector3d.h longlat.h utilgeom.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
   $(SOPHYAINCP)fioarr.h \
-  $(SOPHYAINCP)fiondblock.h \
-  $(SOPHYAINCP)datatype.h
-	$(CXXCOMPILE) -o $@ $<
- 
-$(SOPHYAOBJP)fiosphereecp.o: fiosphereecp.cc \
-  $(SOPHYAINCP)sopnamsp.h fiosphereecp.h \
+  $(SOPHYAINCP)datatype.h
+	$(CXXCOMPILELIB) -o $@ $<
+ 
+$(SOPHYAOBJP)fiospherehealpix.o: fiospherehealpix.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  fiospherehealpix.h sphericalmap.h \
+  $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)machdefs.h \
+  pixelmap.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h spherepos.h \
+  unitvector.h vector3d.h longlat.h utilgeom.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  spherehealpix.h HEALPixUtils.h \
+  $(SOPHYAINCP)fiondblock.h \
+  $(SOPHYAINCP)datatype.h
+	$(CXXCOMPILELIB) -o $@ $<
+ 
+$(SOPHYAOBJP)fiospherethetaphi.o: fiospherethetaphi.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  fiospherethetaphi.h sphericalmap.h \
+  $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)machdefs.h \
+  pixelmap.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h spherepos.h \
+  unitvector.h vector3d.h longlat.h utilgeom.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  spherethetaphi.h \
+  $(SOPHYAINCP)fiondblock.h \
+  $(SOPHYAINCP)datatype.h
+	$(CXXCOMPILELIB) -o $@ $<
+ 
+$(SOPHYAOBJP)HEALPixUtils.o: HEALPixUtils.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  HEALPixUtils.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)smathconst.h
+	$(CXXCOMPILELIB) -o $@ $<
+ 
+$(SOPHYAOBJP)localmap.o: localmap.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  localmap.h pixelmap.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h spherepos.h \
+  unitvector.h vector3d.h longlat.h utilgeom.h sphericalmap.h \
+  $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)fiondblock.h \
+  $(SOPHYAINCP)timing.h
+	$(CXXCOMPILELIB) -o $@ $<
+ 
+$(SOPHYAOBJP)longlat.o: longlat.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  longlat.h \
+  $(SOPHYAINCP)machdefs.h \
+  utilgeom.h
+	$(CXXCOMPILELIB) -o $@ $<
+ 
+$(SOPHYAOBJP)mapoperation.o: mapoperation.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  mapoperation.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)anydataobj.h \
+  pixelmap.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)mutyv.h spherepos.h \
+  unitvector.h vector3d.h longlat.h utilgeom.h
+	$(CXXCOMPILELIB) -o $@ $<
+ 
+$(SOPHYAOBJP)skymapinit.o: skymapinit.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  skymapinit.h \
+  $(SOPHYAINCP)sophyainit.h \
+  spherethetaphi.h sphericalmap.h \
+  $(SOPHYAINCP)smathconst.h \
+  pixelmap.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h spherepos.h \
+  unitvector.h vector3d.h longlat.h utilgeom.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  fiospherehealpix.h spherehealpix.h HEALPixUtils.h fiospherethetaphi.h \
+  fiolocalmap.h localmap.h fiosphereecp.h sphereecp.h
+	$(CXXCOMPILELIB) -o $@ $<
+ 
+$(SOPHYAOBJP)sphereecp.o: sphereecp.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   sphereecp.h sphericalmap.h \
   $(SOPHYAINCP)smathconst.h \
-  $(SOPHYAINCP)machdefs.h pixelmap.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h spherepos.h \
-  unitvector.h vector3d.h longlat.h utilgeom.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)fioarr.h \
-  $(SOPHYAINCP)datatype.h
-	$(CXXCOMPILE) -o $@ $<
- 
-$(SOPHYAOBJP)fiospherehealpix.o: fiospherehealpix.cc \
-  $(SOPHYAINCP)sopnamsp.h fiospherehealpix.h \
-  sphericalmap.h $(SOPHYAINCP)smathconst.h \
-  $(SOPHYAINCP)machdefs.h pixelmap.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h spherepos.h \
-  unitvector.h vector3d.h longlat.h utilgeom.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h spherehealpix.h \
-  HEALPixUtils.h $(SOPHYAINCP)fiondblock.h \
-  $(SOPHYAINCP)datatype.h
-	$(CXXCOMPILE) -o $@ $<
- 
-$(SOPHYAOBJP)fiospherethetaphi.o: fiospherethetaphi.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  fiospherethetaphi.h sphericalmap.h \
-  $(SOPHYAINCP)smathconst.h \
-  $(SOPHYAINCP)machdefs.h pixelmap.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h spherepos.h \
-  unitvector.h vector3d.h longlat.h utilgeom.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h spherethetaphi.h \
-  $(SOPHYAINCP)fiondblock.h \
-  $(SOPHYAINCP)datatype.h
-	$(CXXCOMPILE) -o $@ $<
- 
-$(SOPHYAOBJP)HEALPixUtils.o: HEALPixUtils.cc \
-  $(SOPHYAINCP)sopnamsp.h HEALPixUtils.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)smathconst.h
-	$(CXXCOMPILE) -o $@ $<
- 
-$(SOPHYAOBJP)localmap.o: localmap.cc \
-  $(SOPHYAINCP)sopnamsp.h localmap.h \
-  pixelmap.h $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h spherepos.h \
-  unitvector.h vector3d.h longlat.h utilgeom.h sphericalmap.h \
-  $(SOPHYAINCP)smathconst.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)fiondblock.h \
-  $(SOPHYAINCP)timing.h
-	$(CXXCOMPILE) -o $@ $<
- 
-$(SOPHYAOBJP)longlat.o: longlat.cc \
-  $(SOPHYAINCP)sopnamsp.h longlat.h \
-  $(SOPHYAINCP)machdefs.h utilgeom.h
-	$(CXXCOMPILE) -o $@ $<
- 
-$(SOPHYAOBJP)mapoperation.o: mapoperation.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h mapoperation.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)anydataobj.h pixelmap.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)mutyv.h spherepos.h \
-  unitvector.h vector3d.h longlat.h utilgeom.h
-	$(CXXCOMPILE) -o $@ $<
- 
-$(SOPHYAOBJP)skymapinit.o: skymapinit.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h skymapinit.h \
-  $(SOPHYAINCP)sophyainit.h spherethetaphi.h \
-  sphericalmap.h $(SOPHYAINCP)smathconst.h \
-  pixelmap.h $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h spherepos.h \
-  unitvector.h vector3d.h longlat.h utilgeom.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h fiospherehealpix.h \
-  spherehealpix.h HEALPixUtils.h fiospherethetaphi.h fiolocalmap.h \
-  localmap.h fiosphereecp.h sphereecp.h
-	$(CXXCOMPILE) -o $@ $<
- 
-$(SOPHYAOBJP)sphereecp.o: sphereecp.cc \
-  $(SOPHYAINCP)sopnamsp.h sphereecp.h \
-  sphericalmap.h $(SOPHYAINCP)smathconst.h \
-  $(SOPHYAINCP)machdefs.h pixelmap.h \
+  $(SOPHYAINCP)machdefs.h \
+  pixelmap.h \
   $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)pexceptions.h \
@@ -229,5 +248,5 @@
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)spherehealpix.o: spherehealpix.cc \
@@ -242,6 +261,7 @@
   $(SOPHYAINCP)ppfnametag.h \
   $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)anydataobj.h spherehealpix.h \
-  sphericalmap.h $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)anydataobj.h \
+  spherehealpix.h sphericalmap.h \
+  $(SOPHYAINCP)smathconst.h \
   pixelmap.h $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)objfio.h \
@@ -252,26 +272,30 @@
   $(SOPHYAINCP)tarray.h \
   $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)utilarr.h HEALPixUtils.h \
+  $(SOPHYAINCP)utilarr.h \
+  HEALPixUtils.h \
   $(SOPHYAINCP)strutil.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)spherepos.o: spherepos.cc \
-  $(SOPHYAINCP)sopnamsp.h spherepos.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h unitvector.h \
-  vector3d.h longlat.h utilgeom.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)datatype.h
-	$(CXXCOMPILE) -o $@ $<
+  $(SOPHYAINCP)sopnamsp.h \
+  spherepos.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  unitvector.h vector3d.h longlat.h utilgeom.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)datatype.h
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)spherethetaphi.o: spherethetaphi.cc \
-  $(SOPHYAINCP)sopnamsp.h spherethetaphi.h \
-  sphericalmap.h $(SOPHYAINCP)smathconst.h \
-  $(SOPHYAINCP)machdefs.h pixelmap.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  spherethetaphi.h sphericalmap.h \
+  $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)machdefs.h \
+  pixelmap.h \
   $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)pexceptions.h \
@@ -292,22 +316,24 @@
   $(SOPHYAINCP)utilarr.h \
   $(SOPHYAINCP)fiondblock.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)unitvector.o: unitvector.cc \
-  $(SOPHYAINCP)sopnamsp.h unitvector.h \
-  vector3d.h longlat.h \
-  $(SOPHYAINCP)machdefs.h utilgeom.h
-	$(CXXCOMPILE) -o $@ $<
+  $(SOPHYAINCP)sopnamsp.h \
+  unitvector.h vector3d.h longlat.h \
+  $(SOPHYAINCP)machdefs.h \
+  utilgeom.h
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)utilgeom.o: utilgeom.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h utilgeom.h
-	$(CXXCOMPILE) -o $@ $<
+  $(SOPHYAINCP)machdefs.h \
+  utilgeom.h
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)vector3d.o: vector3d.cc \
   $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h vector3d.h \
-  longlat.h utilgeom.h
-	$(CXXCOMPILE) -o $@ $<
- 
+  $(SOPHYAINCP)pexceptions.h \
+  vector3d.h longlat.h utilgeom.h
+	$(CXXCOMPILELIB) -o $@ $<
+ 
